## relational 3.2

=== debian/changelog ===
relational (3.2-1) unstable; urgency=low

  * New upstream release
  * Moved from github to codeberg
  * Add Vcs-* fields to d/control
  * Change email to the debian one

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 09 May 2024 11:43:45 +0200

=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
 python3-setuptools, python3-typedload
Standards-Version: 4.6.2
X-Python3-Version: >= 3.8
Homepage: https://ltworf.codeberg.page/relational/
Rules-Requires-Root: no
Vcs-Browser: https://codeberg.org/ltworf/relational
Vcs-Git: https://codeberg.org/ltworf/relational.git

Package: python3-relational
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}), python3-pyqt5
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used to
 execute relational queries.

Package: relational-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}),
 python3-xtermcolor
Description: Educational tool for relational algebra (command line interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a command line interface that can be used to
 execute relational queries.

## relational 3.3

=== Makefile ===
.PHONY: all
all: gui translations

.PHONY: gui
gui: relational_gui/survey.py relational_gui/maingui.py relational_gui/rel_edit.py

relational_gui/maingui.py relational_gui/survey.py relational_gui/rel_edit.py: relational_gui/maingui.ui relational_gui/rel_edit.ui relational_gui/survey.ui
	# Create .py file
	pyuic6 $(basename $@).ui > $@
	# Use my custom editor class
	sed -i 's/QtWidgets.QPlainTextEdit/editor.Editor/g' $@
	echo 'from . import editor' >> $@
	# Use gettext instead of Qt translations
	echo 'from gettext import gettext as _' >> $@
	sed -i \
		-e 's/_translate("MainWindow", /_(/g' \
		-e 's/_translate("Dialog", /_(/g' \
		-e 's/_translate("Form", /_(/g' \
		$@

.PHONY: mypy
mypy:
	mypy relational relational_readline

.PHONY: test
test:
	./driver.py

deb-pkg: dist
	mv relational_*.orig.tar.gz* /tmp
	cd /tmp; tar -xf relational_*.orig.tar.gz
	cp -r debian /tmp/relational/
	cd /tmp/relational/; dpkg-buildpackage --changes-option=-S
	mkdir deb-pkg
	mv /tmp/relational* /tmp/python3-relational_*.deb deb-pkg
	$(RM) -r /tmp/relational
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes

.PHONY: dist
dist: clean
	$(RM) -r /tmp/relational/
	$(RM) -r /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	$(RM) -r /tmp/relational/windows
	$(RM) -r /tmp/relational/debian/

	#mv /tmp/relational /tmp/relational-`head -1 CHANGELOG`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./relational_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	$(RM) -r `find -name "*~"`
	$(RM) -r `find -name "*pyc"`
	$(RM) -r `find -name "*pyo"`
	$(RM) -r relational*.tar.gz
	$(RM) -r relational*.tar.gz.asc
	$(RM) -r data
	$(RM) -r *tar.bz
	$(RM) -r *.deb
	$(RM) relational_gui/survey.py
	$(RM) relational_gui/maingui.py
	$(RM) relational_gui/rel_edit.py
	$(RM) po/*.mo
	$(RM) -r build
	$(RM) -r *.egg-info

.PHONY: install-relational-cli
install-relational-cli:
	python3 setup/relational-cli.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational-cli
	install -D relational-cli.1 $${DESTDIR:-/}/usr/share/man/man1/relational-cli.1

.PHONY: install-python3-relational
install-python3-relational: install_translations
	python3 setup/python3-relational.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;

.PHONY: install-relational
install-relational:
	python3 setup/relational.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational
	install -m0644 -D relational.desktop $${DESTDIR:-/}/usr/share/applications/relational.desktop
	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1

.PHONY: install
install: install-relational-cli install-python3-relational install-relational

po/messages.pot: relational.py relational/*.py relational_readline/*.py relational_gui/*.py
	xgettext --from-code=utf-8 -L Python -j -o po/messages.pot --package-name=relational \
		relational.py \
		relational_readline/*.py \
		relational_gui/*.py \
		relational/*.py

po/it.po: po/messages.pot
	msgmerge --update $@ po/messages.pot

po/it.mo: po/it.po
	msgfmt po/it.po --output-file $@

.PHONY: translations
translations: po/it.mo

.PHONY: install_translations
install_translations:
	install -m644 -D po/it.mo $${DESTDIR:-/}/usr/share/locale/it/LC_MESSAGES/relational.mo

=== requirements.txt ===
typedload
pyqt6
xtermcolor

=== debian/changelog ===
relational (3.3-1) unstable; urgency=low

  * New upstream release
  * Move from pyqt5 to pyqt6

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 21 Jul 2024 09:33:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt6-dev-tools,
  python3-setuptools, python3-typedload
 Standards-Version: 4.6.2
 X-Python3-Version: >= 3.8
@@ -24,7 +24,7 @@
 
 Package: relational
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}), python3-pyqt5
+Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}), python3-pyqt6
 Description: Educational tool for relational algebra (graphical user interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/relational/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## relational 3.4

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 		$@
 
 .PHONY: mypy
-mypy:
-	mypy relational relational_readline
+mypy: gui
+	mypy relational relational_readline relational_gui
 
 .PHONY: test
 test:

=== requirements.txt ===
typedload
pyqt6
termcolor

=== debian/changelog ===
relational (3.4-1) unstable; urgency=medium

  * New upstream release
  * Change xtermcolor for termcolor
  * Remove Rules-Requires-Root
  * Add upstream/metadata
  * Bump standards version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 08 Dec 2025 14:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
-Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt6-dev-tools,
+Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-termcolor, pyqt6-dev-tools,
  python3-setuptools, python3-typedload
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 X-Python3-Version: >= 3.8
 Homepage: https://ltworf.codeberg.page/relational/
-Rules-Requires-Root: no
 Vcs-Browser: https://codeberg.org/ltworf/relational
 Vcs-Git: https://codeberg.org/ltworf/relational.git
 
@@ -35,7 +34,7 @@
 Package: relational-cli
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}),
- python3-xtermcolor
+ python3-termcolor
 Description: Educational tool for relational algebra (command line interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
